<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="text"/>

<xsl:param name="MID"/>  
<xsl:param name="SID"/>  
<xsl:param name="SECRET"/>

<xsl:variable name="RESPONSE" select="'Response'"/>
<xsl:variable name="PARAMS" select="'Params'"/>
<xsl:variable name="STRING" select="'string'"/>
<xsl:variable name="STRUCT" select="'struct'"/>
<xsl:variable name="ARRAY" select="'array'"/>

<xsl:include href="errors.xsl"/>

<xsl:template match="/">
 <xsl:apply-templates select="/data/response"/>
 <xsl:apply-templates select="/data/error"/>
 <xsl:apply-templates select="/data/info"/>
</xsl:template>

<xsl:template match="response">
    <xsl:element name="{$RESPONSE}">
        <xsl:attribute name="class">places</xsl:attribute>
        <xsl:attribute name="function">search</xsl:attribute>
        <xsl:element name="{$PARAMS}">
            <xsl:element name="{$ARRAY}">
                <xsl:attribute name="name">placeList</xsl:attribute>
                <xsl:attribute name="count">
                    <xsl:value-of select="count(place)"/>
                </xsl:attribute>   
   
                <xsl:for-each select="place">
                    <xsl:element name="{$STRUCT}">
                        <xsl:attribute name="name">place</xsl:attribute>
                 
                        <xsl:element name="{$STRING}">
                           <xsl:attribute name="name">place_id</xsl:attribute>
                           <xsl:value-of select="place_id"/>
                        </xsl:element>
                        <xsl:element name="{$STRING}">
                            <xsl:attribute name="name">latitude</xsl:attribute>
                            <xsl:value-of select="latitude"/>
                        </xsl:element>
			<xsl:element name="{$STRING}">
                            <xsl:attribute name="name">longitude</xsl:attribute>
                            <xsl:value-of select="longitude"/>
                        </xsl:element>
			<xsl:element name="{$STRING}">
                            <xsl:attribute name="name">title</xsl:attribute>
                            <xsl:value-of select="title"/>
                        </xsl:element>
			<xsl:element name="{$STRING}">
                            <xsl:attribute name="name">address</xsl:attribute>
                            <xsl:value-of select="address"/>
                        </xsl:element>
			<xsl:element name="{$STRING}">
                            <xsl:attribute name="name">type</xsl:attribute>
                            <xsl:value-of select="type"/>
                        </xsl:element>
			<xsl:element name="{$STRING}">
                            <xsl:attribute name="name">icon</xsl:attribute>
                            <xsl:value-of select="icon"/>
                        </xsl:element>
                        <xsl:element name="{$STRING}">
                            <xsl:attribute name="name">distance</xsl:attribute>
                            <xsl:value-of select="distance"/>
                        </xsl:element>
                    </xsl:element>
                </xsl:for-each>
            </xsl:element> 
        </xsl:element> 
    </xsl:element> 
</xsl:template>
</xsl:stylesheet>
